Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package shell
  Definition Classes
    interpreter
- Accumulator
- Completion
- CompletionResult
- History
- ILoop
- InteractiveReader
- Javap
- Javap8
- Javap9
- JavapClass
- JavapProvider
- JavapTask
- JavapTool
- Logger
- LoopCommands
- MultiCompletion
- NoCompletion
- NoCompletions
- NoHistory
- Parsed
- Pasted
- ProcessResult
- ReplCompletion
- ReplReporterImpl
- Scripted
- ShellConfig
- SimpleHistory
- SimpleReader
- Tabulator
- VariColumnTabulator
- WriterOutputStream

c

scala.tools.nsc.interpreter.shell

# Pasted

###

#### abstract class Pasted extends AnyRef

If it looks like they're pasting in a scala interpreter transcript, remove all the formatting we inserted so we can make some sense of it.

Most of the interesting code in here is due to my goal of "paste idempotence" i.e. the transcript resulting from pasting a transcript should itself be pasteable and should achieve the same result.

Source
  Pasted.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Pasted
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Pasted(prompt: String, continuePrompt: String, continueText: String)

### Abstract Value Members

1.  abstract def echo(message: String): Unit
2.  abstract def interpret(line: String): Result

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Pasted toany2stringadd[Pasted] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Pasted, B)
   Implicit
     This member is added by an implicit conversion from Pasted toArrowAssoc[Pasted] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val AltPromptString: String
7.  val ContinuePrompt: String
8.  val ContinueString: String
9.  val PromptString: String
10.  val anyPrompt: Regex
11.  def apply(lines: IterableOnce[String]): Option[String]

    Commands start on lines beginning with "scala>" and each successive line which begins with the continuation string is appended to that command.

    Commands start on lines beginning with "scala>" and each successive line which begins with the continuation string is appended to that command. Everything else is discarded. When the end of the transcript is spotted, all the commands are replayed.

12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  def ensuring(cond: (Pasted) => Boolean, msg: => Any): Pasted
    Implicit
      This member is added by an implicit conversion from Pasted toEnsuring[Pasted] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (Pasted) => Boolean): Pasted
    Implicit
      This member is added by an implicit conversion from Pasted toEnsuring[Pasted] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: => Any): Pasted
    Implicit
      This member is added by an implicit conversion from Pasted toEnsuring[Pasted] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): Pasted
    Implicit
      This member is added by an implicit conversion from Pasted toEnsuring[Pasted] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Pasted toStringFormat[Pasted] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  def isPromptOnly(line: String): Boolean
26.  def isPrompted(line: String): Boolean
27.  def matchesContinue(line: String): Boolean
28.  def matchesPrompt(line: String): Boolean
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  def running: Boolean
33.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  def transcript(lines: IterableOnce[String]): Option[String]
36.  def unapply(line: String): Boolean
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Pasted, B)
   Implicit
     This member is added by an implicit conversion from Pasted toArrowAssoc[Pasted] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPasted to any2stringadd[Pasted]

### Inherited by implicit conversion StringFormat fromPasted to StringFormat[Pasted]

### Inherited by implicit conversion Ensuring fromPasted to Ensuring[Pasted]

### Inherited by implicit conversion ArrowAssoc fromPasted to ArrowAssoc[Pasted]

### Ungrouped